org.jboss.resteasy.spi.metadata

## Class MethodParameter

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.Parameter
  - - org.jboss.resteasy.spi.metadata.MethodParameter

-     public class MethodParameter
      extends Parameter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.spi.metadata.Parameter

      `Parameter.ParamType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Annotation[]` | `annotations`
    `protected ResourceLocator` | `locator`

    - ### Fields inherited from class org.jboss.resteasy.spi.metadata.Parameter

      `defaultValue, encoded, genericType, paramName, paramType, resourceClass, suspendTimeout, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MethodParameter(ResourceLocator locator, Class<?> type, Type genericType, Annotation[] annotations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessibleObject` | `getAccessibleObject()`
    `Annotation[]` | `getAnnotations()`

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.Parameter

      `getDefaultValue, getGenericType, getParamName, getParamType, getResourceClass, getSuspendTimeout, getType, isEncoded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### annotations

          protected Annotation[] annotations

    - #### locator

          protected ResourceLocator locator

  - ### Constructor Detail

    - #### MethodParameter

          protected MethodParameter(ResourceLocator locator,
                         Class<?> type,
                         Type genericType,
                         Annotation[] annotations)

  - ### Method Detail

    - #### getAccessibleObject

          public AccessibleObject getAccessibleObject()

      Specified by:
        `getAccessibleObject` in class `Parameter`

    - #### getAnnotations

          public Annotation[] getAnnotations()

      Specified by:
        `getAnnotations` in class `Parameter`

Copyright © 2014. All Rights Reserved.